<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>com.charego</groupId>
		<artifactId>lingo-parent</artifactId>
		<version>1.0</version>
	</parent>

	<artifactId>lingo-client</artifactId>
	<name>Lingo :: Client</name>

	<properties>
		<javafx.version>11.0.2</javafx.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>${project.groupId}</groupId>
			<version>${project.version}</version>
			<artifactId>lingo-api</artifactId>
		</dependency>

		<!-- Web -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-websocket</artifactId>
		</dependency>

		<!-- JavaFX -->
		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-controls</artifactId>
			<version>${javafx.version}</version>
		</dependency>
		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-fxml</artifactId>
			<version>${javafx.version}</version>
		</dependency>
		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-web</artifactId>
			<version>${javafx.version}</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>exec-maven-plugin</artifactId>
				<version>1.6.0</version>
				<configuration>
					<mainClass>com.charego.lingo.client.bootstrap.LingoClient</mainClass>
					<addResourcesToClasspath>true</addResourcesToClasspath>
					<additionalClasspathElements>
						<additionalClasspathElement>src/main/config</additionalClasspathElement>
					</additionalClasspathElements>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>
